import PositionType from '../../PositionType';
import ElementPeer from './ElementPeer';
declare class ArcLinePeer extends ElementPeer {
    private _x1;
    private _y1;
    private _x2;
    private _y2;
    constructor();
    setFrom(x1: number, y1: number): void;
    setTo(x2: number, y2: number): void;
    getFrom(): PositionType;
    getTo(): PositionType;
    setStrokeWidth(width: number): void;
    private static pointToStr;
    private _updatePath;
}
export default ArcLinePeer;
